List pending invites

get https://app.mk.io/api/v1/organization/invites

This endpoint shows the current list of invitations that have been sent by this MK.IO organization and which have not been accepted or declined yet.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

200 OK
kindstringRequired
The kind of record.
valuelist of objectsInviteGetSchemaRequired
List of pending invites
Show 3 propertiesHide 3 properties
kindstringOptional
The kind of record.
metadataobjectInviteMetadataSchemaOptional
Metadata
Show 2 propertiesHide 2 properties
createdstringOptionalformat: date-time
The time when the resource was created
idstringRequiredformat: uuid
The ID of the resource
specobjectInviteSpecSchemaRequired
Specification
Show 6 propertiesHide 6 properties
commentstringRequired
Comment to explain why the user has been invited to collaborate with your organization
emailstringRequired
Email of the user to be invited
invitedByEmailstringRequired
Contact email of user who made the invite
invitedByNamestringRequired
Name of user who made the invite
organizationNamestringRequired
Name of the organization the invite refers to
teamslist of stringsOptional
List of team names to add this user to when they accept.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code